人在江湖

  BlogJava :: 首页 :: 联系 :: 聚合  :: 管理
  82 Posts :: 10 Stories :: 169 Comments :: 0 Trackbacks
基于springside4新建project:
使用Maven的Archetype插件,可以基于Quickstart项目,创建自己的项目。
运行support/maven-archetype\install.bat后,双击根目录中的generate-project.bat 
遇到错误:
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-archetype-plugin:2
.2:generate (default-cli) on project standalone-pom: The desired archetype does
not exist (org.springside.examples:quickstart-archetype:4.1.1-SNAPSHOT) -> [Help
 1]

这是为什么呢?
打开generate-project.bat
-DarchetypeVersion=4.1.1-SNAPSHOT
改成
-DarchetypeVersion=4.2.3-SNAPSHOT
就好了,正确的版本号在support/maven-archetype\install.bat运行过程中能看到
posted on 2014-07-05 10:42 人在江湖 阅读(7087) 评论(3)  编辑  收藏 所属分类: others

Feedback

# re: 基于springside4新建project 错误Failed to execute goal org.apache.maven.plugins:maven-archetype-plugin的解决办法 2014-10-24 11:39 MrChu
SpringSide官方也太坑爹了吧。。。-_-  回复  更多评论
  

# re: 基于springside4新建project 错误Failed to execute goal org.apache.maven.plugins:maven-archetype-plugin的解决办法 2014-10-31 17:17 网上购物
不错谢谢分享  回复  更多评论
  

# re: 基于springside4新建project 错误Failed to execute goal org.apache.maven.plugins:maven-archetype-plugin的解决办法 2014-12-04 00:37 时尚男装搭配
不错,支持一下  回复  更多评论
  


只有注册用户登录后才能发表评论。


网站导航: